Bug 449672 - repeat keys not functional when using client keyboard
repeat keys not functional when using client keyboard
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: synergy (Show other bugs)
9
All All
low Severity low
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
:
: 472283 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-02 19:30 EDT by James Cassell
Modified: 2009-07-14 14:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 14:11:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description James Cassell 2008-06-02 19:30:12 EDT
Description of problem:
When in synergyc, and using the keyboard of the client, holding a key doesn't 
cause the key to be pressed multiple times (e.g., when using synergy to share 
only the mouse between 2 laptops).

Version-Release number of selected component (if applicable):
1.3.1-9.fc9 (and all versions proir I have used)

How reproducible:
Always

Steps to Reproduce:
1. configure synergy on both client and server
2. start both on server and client
3. hold down a key on the client's keyboard
  
Actual results:
key is pressed once

Expected results:
key should be repeatedly pressed

Additional info:
Holding a key on the server's keyboard correctly causes the client to repeat 
that key.
(maybe an option could be created that would specify to only share mouse?)
Comment 1 Matthias Saou 2009-01-02 11:00:32 EST
This unfortunately seems like a problem that the upstream developers should take care of, especially if it comes to creating an option to share only the mouse (it would be quite bad to create a Fedora-only option!). I write "unfortunately" because the upstream development seems stalled.
Comment 3 Matthias Saou 2009-01-02 11:17:43 EST
*** Bug 472283 has been marked as a duplicate of this bug. ***
Comment 4 Matthias Saou 2009-04-10 14:57:08 EDT
There is a "workaround" posted here :
https://bugs.launchpad.net/ubuntu/+source/synergy/+bug/281546

Basically, if it's the left and down arrows not repeating, then just run :
xset r 116
xset r 113

On the client and it'll re-enable repeat for them.
Comment 5 Jeff Layton 2009-05-18 06:20:33 EDT
I ended up needing to use:

xset r 113
xset r 114

...but the workaround does seem to be help.
Comment 6 Bug Zapper 2009-06-09 21:22:06 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-07-14 14:11:29 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.